Get the current depth of the recursive iteration

- « RecursiveIteratorIterator::endIteration

- RecursiveIteratorIterator::getInnerIterator »

- PHP Manual
- RecursiveIteratorIterator
- Get the current depth of the recursive iteration

# RecursiveIteratorIterator::getDepth

(PHP 5, PHP 7, PHP 8)

RecursiveIteratorIterator::getDepth — Get the current depth of the recursive iteration

### Description

public RecursiveIteratorIterator::getDepth(): int
Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

The current depth of the recursive iteration.